%define	upstream_name    Convert-PEM
%define	upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Read/write encrypted ASN.1 PEM files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/Convert-PEM
Source0:	https://cpan.metacpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Convert::ASN1)
BuildRequires:  perl(Class::ErrorHandler)
BuildRequires:  perl(Crypt::DES_EDE3)
BuildRequires:  perl(Crypt::PRNG)
BuildRequires:	perl(inc::Module::Install)
# Tests only
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildArch:	noarch

# not found automatically
Requires:	perl(Class::ErrorHandler)
Requires:	perl

%description
Convert::PEM reads and writes PEM files containing ASN.1-encoded
objects. The files can optionally be encrypted using a symmetric cipher
algorithm, such as 3DES.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Tue Jan 28 2025 daviddavid <daviddavid> 0.130.0-1.mga10
+ Revision: 2143045
- update to 0.13

* Sun Dec 22 2024 pterjan <pterjan> 0.80.0-14.mga10
+ Revision: 2128019
- Rebuild for patchN deprecation

* Tue Nov 01 2022 umeabot <umeabot> 0.80.0-13.mga9
+ Revision: 1901146
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-12.mga8
+ Revision: 1503600
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-11.mga7
+ Revision: 1282521
- Mageia 7 Mass Rebuild

* Sun Oct 08 2017 tv <tv> 0.80.0-10.mga7
+ Revision: 1170326
- add BRs for testsuite
- Disable tests relying on probabilistic output (rhbz#1136745, CPAN RT#27574)
  Fix building on Perl without dot in INC

* Mon Oct 02 2017 tv <tv> 0.80.0-9.mga7
+ Revision: 1163557
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.80.0-8.mga7
+ Revision: 1158985
- add BR on perl(inc::Module::Install)

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1024375
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 938882
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 744804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 684018
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364800
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 29579
- mageia rebuild
- imported package perl-Convert-PEM


* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 616207
- update to new version 0.08

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2011.0
+ Revision: 406920
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.07-5mdv2009.0
+ Revision: 256136
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.07-3mdv2008.1
+ Revision: 136694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-3mdv2008.0
+ Revision: 86230
- rebuild


* Fri Jul 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-2mdk
- Fix BuildRequires

* Tue Jun 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.07-1mdk
- 0.07
- cleanup spec, add Changes file

* Mon Jun 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-3mdk
- Rebuild for new perl

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-2mdk
- rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.06-1mdk
- New package

